﻿Public Class MainForm
    Inherits Form

    Private tabControl As ProxyTabControl

    Public Sub New()
        InitializeComponent()
        tabControl = New ProxyTabControl(New List(Of ProxyConfig)() From {
                                            New ProxyConfig("23.111.166.114", 8080),
                                            New ProxyConfig("52.224.181.154", 3128)
                                            }) With {
                                                .Dock = DockStyle.Fill
                                                }
        BrowserTabPanel.Controls.Add(tabControl)
        AddressTextBox.Text = "whatismyproxy.com"
        tabControl.GoToUrl(AddressTextBox.Text)
        AddHandler Closed, AddressOf MainForm_Closed
    End Sub

    Private Sub MainForm_Closed(ByVal sender As Object, ByVal e As EventArgs)
        tabControl.DisposeTabs()
    End Sub

    Private Sub GoButton_Click(ByVal sender As Object, ByVal e As EventArgs) Handles GoButton.Click
    End Sub
End Class