﻿Public Class ProxyConfig
    Public ReadOnly Property IpAddress As String
    Public ReadOnly Property Port As Integer
    Public ReadOnly Property IsAuthRequired As Boolean
    Public ReadOnly Property Username As String
    Public ReadOnly Property Password As String

    Public Sub New(ByVal ipAddress As String, ByVal port As Integer, ByVal Optional isAuthRequired As Boolean = False,
                   ByVal Optional username As String = "", ByVal Optional password As String = "")
        Me.IpAddress = ipAddress
        Me.Port = port
        Me.IsAuthRequired = isAuthRequired
        Me.Username = username
        Me.Password = password
    End Sub

    Public Overrides Function ToString() As String
        Return String.Format("{0}:{1}", IpAddress, Port)
    End Function
End Class